package com.gitlink.softbot.entity.db;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("bot")
@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy.class)
@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Bot {

    @TableId(type = IdType.AUTO)
    private Integer id;

    private String botName;

    private String botDes;

    private String webhook;

    private int isPublic;

    private String logo;

    private int state;

    private String clientId;

    private String clientSecret;

    private String webUrl;

    private Integer installNum;

    private String category;

    private String privateKey;

    private Integer ownerId;

    private Integer uid;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    private String oauthCallbackUrl;

}
