package com.gitlink.softbot.entity.db;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy.class)
@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
@TableName("install_bot")
public class InstallBot {

    @TableId(type = IdType.AUTO)
    private Integer id;

    private Integer botId;

    private Integer installerId;

    private Integer storeId;

    private Integer state;

    //安装者登录名
    private String installerLogin;

    //仓库唯一标识
    private String storeRepo;

    //添加webhookId
    private Integer webhookId;

    //仓库拥有者login(组织/个人)
    private String repoOwner;

    @JsonIgnore
    private String webhookResponseMsg;

    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
}
