package com.gitlink.softbot.entity.db;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy.class)
@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
@TableName("market_bot")
public class MarketBot {

    @TableId(type = IdType.AUTO)
    private Integer id;

    private Integer botId;

    private String marketName;

    private String marketDesc;

    private String firstFunc;

    private String secondFunc;

    private String webhook;

    private String marketIntro;

    private Integer isReceiveAg1;

    private Integer isReceiveAg2;

    private Date marketTime;

    private String logo;

    private Integer installNum;

    private String category;

    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
}
