package com.gitlink.softbot.entity.es;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;


import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy.class)
@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
@Document(indexName = "marketbot")
public class MarketBot {


    /** botid**/
    @Id
    private  String Id;

    /**  上市名称**/
    @Field(type = FieldType.Text)
    private String marketName;

    /** 市场描述**/
    @Field(type = FieldType.Text)
    private String marketDesc;

    /** 主要功能**/
    @Field(type = FieldType.Text)
    private String firstFunc;

    /** 次要功能**/
    private String secondFunc;

    /**  webhook**/
    private String webhook;

    /** 是否接收开发协议0：代表节后1：代表没接收（没接收协议是不允许上市的）**/
    private int isReceiveAg1;

    /** 是否接收平台协议0：代表节后1：代表没接收（没接收协议是不允许上市的）**/
    private int isReceiveAg2;

    /** 上市时间**/
    @Field(type = FieldType.Date)
    private Date marketTime;

    @Field(type = FieldType.Text)
    private String logo;
    /** 安装次数**/
    @Field(type = FieldType.Integer)
    private int installNum;

    /** 种类**/
    private String category;
    /** 创建时间**/
    private Date createTime;

    /** 更新时间**/
    private Date updateTime;

}
