package com.gitlink.softbot.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;


@Data
@AllArgsConstructor
@NoArgsConstructor
@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy.class)
@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class BotInputVO implements Serializable {

    //用户id
    @NotNull(message = "userId is required")
    private Integer userId;

    private String login;

    private Integer botId;

    //bot名称
    @NotNull(message = "botName is required")
    private String botName;

    //bot详细介绍
    private String botDes;

    //webhook地址
    @NotNull(message = "webhook is required")
    private String webhook;

    //头像
    private String logo;


    //是否公开
    private Integer isPublic;

    //TODO 前端改协议
    private String botUrl;

    //oauth授权回调地址
    @NotNull(message = "oauthCallbackUrl is required")
    private String oauthCallbackUrl;

    /**
     * 权限与事件
     */
    LimitVO limitAndEvents;
}


