package com.gitlink.softbot.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy.class)
@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class BotOutputVO implements Serializable {

    private Integer botId;

    private Integer userId;

    private String login;

    //bot名称
    private String botName;

    //bot详细介绍
    private String botDes;

    //webhook地址
    private String webhook;

    //是否公开
    private Integer isPublic;

    /**
     * 工作状态
     */
    private Integer state;

    private String OauthCallbackUrl;

    /**
     * 是否转让 0未转让 ，1转让
     */
    private Integer isTransfer;

    /**
     * 是否转让成功 0:转让失败，1：转让成功 2:待接收 3:无转让状态
     */
    private Integer isTransferSuccess;

    /**
     * 接收者id
     */
    private Integer transferToId;

    /**
     * 接收者login
     */
    private String transferToLogin;

    /**
     * 接收者username
     */
    private String transferToName;

    /**
     * 权限与事件
     */
    LimitVO limitAndEvents;

    private String logo;

    private String clientId;

    private String clientSecret;

    private String privateKey;

    private String webUrl;

    /**
     * 种类
     */
    private String category;

    /**
     * 是否上架，0未上架 ，1已经上架
     */
    private Integer isMarket;
}
