package com.gitlink.softbot.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy.class)
@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class BotToMarketRequest implements Serializable {

    @NotNull(message = "userId is required")
    private Integer userId;

    private String login;

    @NotNull(message = "botId is required")
    private Integer botId;

    private String marketName;

    private String marketDesc;

    private String firstFunc;

    private String secondFunc;

    private String webhook;

    private Integer isReceiveAg1;

    private Integer isReceiveAg2;

    private Date marketTime;

    private String logo;

    private String category;

    private String marketIntro;
}
