package com.gitlink.softbot.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@AllArgsConstructor
@NoArgsConstructor
@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy.class)
@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class GetBotDetailResponse {

    private Integer botId;

    //bot名称
    private String botName;

    //bot详细介绍
    private String botDes;

    //webhook地址
    private String webhook;

    //头像
    private String logo;

    /**
     * bot类型
     */
    private String category;

    /**
     * 是否公开
     */
    private Integer isPublic;

    /**
     * 开发者id
     */
    private Integer developerId;


    /**
     * 开发者登录名
     */
    private String developerLogin;

    /**
     * 开发者用户名
     */
    private String developerName;

    /**
     * 主要功能
     */
    private String firstFunc;

    /**
     * 次要功能
     */
    private String secondFunc;

    /**
     * 简要描述
     */
    private String marketDesc;

    /**
     * 权限与事件
     */
    LimitVO limitAndEvents;

    /**
     * 安装次数
     */
    private Integer installNum;
}
