package com.gitlink.softbot.vo;

import com.alibaba.fastjson.JSON;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import com.gitlink.softbot.entity.db.MarketBot;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy.class)
@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class GetMarketBotsResponse implements Serializable {
    private Integer userId;
    private String login;
    private List<GetMarketBot> getMarketBots;

    public GetMarketBot getMarketBot(MarketBot marketBot){
        GetMarketBot getMarketBot = new GetMarketBot();
        System.out.println(JSON.toJSONString(marketBot));
        getMarketBot.setBotId(marketBot.getBotId());
        getMarketBot.setMarketDesc(marketBot.getMarketDesc());
        getMarketBot.setMarketTime(marketBot.getMarketTime());
        getMarketBot.setCategory(marketBot.getCategory());
        getMarketBot.setFirstFunc(marketBot.getFirstFunc());
        getMarketBot.setSecondFunc(marketBot.getSecondFunc());
        getMarketBot.setInstallNum(marketBot.getInstallNum());
        getMarketBot.setWebhook(marketBot.getWebhook());
        getMarketBot.setMarketIntro(marketBot.getMarketIntro());
        return getMarketBot;
    }
    @Data
    @AllArgsConstructor
    @NoArgsConstructor
   public class GetMarketBot{
        private Integer botId;

        private String marketName;

        private String marketDesc;

        private String firstFunc;

        private String secondFunc;

        private String webhook;

        private Date marketTime;

        private String logo;

        private Integer installNum;

        private String category;

        private String marketIntro;
    }

}

