package com.gitlink.softbot.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy.class)
@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Limit{

    private Integer id;
    //代码读写权限(0:只读1:读写2:无权限)
    private Integer readWriteCode;

    //请求读写权限(0:只读1:读写2:无权限)
    private Integer readWritePr;

    //请求读写权限(0:只读1:读写2:无权限)
    private Integer readWriteIssue;

    //权限类型(0:代码仓库权限1:合并请求权限3:疑修事件权限)
    private Integer authCategory;

    // (代码0：0:git推送到存储库1:创建分支或标签2:删除分支或标签)
    // (请求1： 3:合并请求被打开4:合并请求被分配)  5:无权限
    // (疑修3: 6:PR评论被创建、编辑或删除 7:ISSUE已打开、已关闭、已重新打开或编辑 8:ISSUE已被指派或取消指派 9:ISSUE标记被更新或清除 10:ISSUE评论被创建、编辑或删除)
    private Integer event;
}