package com.gitlink.softbot.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy.class)
@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ReceiveTransferBotRequest implements Serializable {
    @NotNull(message = "botId is required")
    private Integer botId;
    @NotNull(message = "transferFromId is required")
    private Integer transferFromId;
    @NotNull(message = "transferToId is required")
    private Integer transferToId;
    @NotNull(message = "transferToLogin is required")
    private String transferToLogin;
}
