package com.gitlink.softbot.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;
import java.util.Map;

@Data
@AllArgsConstructor
@NoArgsConstructor
@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy.class)
@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class UpdateInstallBotRequest implements Serializable {
    @NotNull(message = "userId is required")
    private Integer userId;
    private String login;
    @NotNull(message = "botId is required")
    private Integer botId;
    @NotNull(message = "state is required")
    private Integer state;
    private String password;
    //待安装仓库id列表
    private List<Integer> storeList;

    //已安装仓库id列表
    private List<Integer> installedStoreList;

    //前端修改 storeId-repo
    private Map<Integer,String> repoMap;

    private Map<Integer, String> repoOwnerMap;
}
