/*
Navicat MySQL Data Transfer

Source Server         : localhost
Source Server Version : 80023
Source Host           : localhost:3306
Source Database       : soft_bot

Target Server Type    : MYSQL
Target Server Version : 80023
File Encoding         : 65001

Date: 2023-03-08 00:00:56
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for bot
-- ----------------------------
DROP TABLE IF EXISTS `bot`;
CREATE TABLE `bot` (
                       `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
                       `bot_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'bot名称',
                       `bot_des` longtext CHARACTER SET utf8 COLLATE utf8_general_ci COMMENT 'bot描述',
                       `webhook` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'bot回调url',
                       `is_public` tinyint DEFAULT NULL COMMENT '0:私有1：公开',
                       `logo` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT 'logo',
                       `state` tinyint DEFAULT NULL COMMENT '0:挂起1：工作',
                       `client_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '客户端id（后台生成）',
                       `client_secret` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '客户端密钥（后台生成）',
                       `web_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '主页网址',
                       `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '类型',
                       `install_num` int DEFAULT '0' COMMENT '下载数量',
                       `update_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                       `create_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
                       `uid` int DEFAULT NULL,
                       `owner_id` int DEFAULT NULL,
                       `private_key` text,
                       PRIMARY KEY (`id`) USING BTREE,
                       UNIQUE KEY `name` (`bot_name`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of bot
-- ----------------------------
INSERT INTO `bot` VALUES ('783', 'botnameegdret', 'miaoshusd', 'http://localhost:10000', '1', 'asdasdasfdg', '0', 'qwer', 'ert', 'botnameegdret', '疑修管理', '6', '2023-03-07 17:42:13', '2023-03-07 17:42:13', null, '84993', null);
INSERT INTO `bot` VALUES ('791', 'botnameegdretui', 'miaoshusd', 'www.hauhahasd.com', '1', 'asdasdasfdg', '0', 'qwer', 'ert', 'botnameegdretui', '疑修管理', '1', '2023-03-07 17:23:28', '2023-03-06 23:05:28', null, '84993', null);
INSERT INTO `bot` VALUES ('792', 'botnameegdretop', 'miaoshusd', 'www.hauhahasd.com', '0', 'asdasdasfdg', '0', 'qwer', 'ert', 'botnameegdretop', null, '0', '2023-03-06 23:05:29', '2023-03-06 23:05:29', null, '84993', null);

-- ----------------------------
-- Table structure for bot_category
-- ----------------------------
DROP TABLE IF EXISTS `bot_category`;
CREATE TABLE `bot_category` (
                                `id` int NOT NULL,
                                `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
                                PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of bot_category
-- ----------------------------
INSERT INTO `bot_category` VALUES ('1', '疑修管理');
INSERT INTO `bot_category` VALUES ('2', '合并请求管理');
INSERT INTO `bot_category` VALUES ('3', '代码审阅');
INSERT INTO `bot_category` VALUES ('4', '代码质量');
INSERT INTO `bot_category` VALUES ('5', '依赖管理');
INSERT INTO `bot_category` VALUES ('6', '构建');
INSERT INTO `bot_category` VALUES ('7', '测试');
INSERT INTO `bot_category` VALUES ('8', '部署');
INSERT INTO `bot_category` VALUES ('9', '文档管理');
INSERT INTO `bot_category` VALUES ('10', '其他');

-- ----------------------------
-- Table structure for bot_limit_event
-- ----------------------------
DROP TABLE IF EXISTS `bot_limit_event`;
CREATE TABLE `bot_limit_event` (
                                   `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
                                   `bot_id` int NOT NULL COMMENT 'bot的唯一标识',
                                   `read_write_code` tinyint NOT NULL COMMENT '0：只读1：读写2:无权限',
                                   `read_write_pr` tinyint NOT NULL COMMENT '0：只读1：读写2:无权限',
                                   `auth_category` tinyint NOT NULL COMMENT '0：代码仓库权限1：合并请求权限2:无权限',
                                   `event` tinyint NOT NULL COMMENT '0：git推送到存储库1：创建分支或标签2：删除分支或标签3：合并请求被打开或重新打开4：合并请求被分配\r\n5：无权限',
                                   `create_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
                                   `update_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                   PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=33 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of bot_limit_event
-- ----------------------------
INSERT INTO `bot_limit_event` VALUES ('18', '783', '0', '1', '0', '1', '2022-10-05 19:21:53', '2022-10-05 19:21:53');
INSERT INTO `bot_limit_event` VALUES ('19', '791', '0', '1', '0', '1', '2022-10-07 20:19:22', '2022-10-07 20:19:22');
INSERT INTO `bot_limit_event` VALUES ('20', '792', '1', '2', '0', '2', '2022-12-29 18:34:26', '2022-12-29 18:34:26');
INSERT INTO `bot_limit_event` VALUES ('21', '793', '1', '2', '0', '1', '2022-12-29 18:42:26', '2022-12-29 18:42:26');
INSERT INTO `bot_limit_event` VALUES ('23', '794', '1', '2', '0', '1', '2022-12-29 18:45:54', '2022-12-29 18:45:54');
INSERT INTO `bot_limit_event` VALUES ('27', '799', '1', '2', '0', '1', '2022-12-29 19:30:05', '2022-12-29 19:30:05');
INSERT INTO `bot_limit_event` VALUES ('28', '799', '2', '1', '1', '2', '2022-12-29 19:30:05', '2022-12-29 19:30:05');

-- ----------------------------
-- Table structure for install_bot
-- ----------------------------
DROP TABLE IF EXISTS `install_bot`;
CREATE TABLE `install_bot` (
                               `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
                               `bot_id` int NOT NULL COMMENT 'bot唯一标识',
                               `installer_id` int NOT NULL COMMENT '安装者唯一标识',
                               `store_id` int NOT NULL COMMENT '仓库唯一标识',
                               `state` tinyint NOT NULL COMMENT '0：挂起1：工作2：卸载',
                               `create_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间 ',
                               `update_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                               `installer_login` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
                               `store_repo` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
                               `webhook_id` int DEFAULT NULL,
                               PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=33 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of install_bot
-- ----------------------------

-- ----------------------------
-- Table structure for market_bot
-- ----------------------------
DROP TABLE IF EXISTS `market_bot`;
CREATE TABLE `market_bot` (
                              `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
                              `bot_id` int NOT NULL COMMENT 'bot唯一 标识',
                              `market_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '上市名称',
                              `market_desc` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '上市简介',
                              `market_intro` longtext CHARACTER SET utf8 COLLATE utf8_general_ci COMMENT '详细介绍',
                              `first_func` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主要功能',
                              `second_func` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '次要功能',
                              `webhook` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '回调url',
                              `is_receive_ag1` tinyint DEFAULT '0' COMMENT '0:接收协议1：不接受收开发者协议',
                              `is_receive_ag2` tinyint DEFAULT '0' COMMENT '0:接收协议1：不接受平台协议',
                              `market_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '上市时间',
                              `logo` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '头像',
                              `install_num` int DEFAULT '0' COMMENT '安装次数',
                              `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '类型',
                              `create_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
                              `update_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                              PRIMARY KEY (`id`) USING BTREE,
                              UNIQUE KEY `唯一` (`bot_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=55 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of market_bot
-- ----------------------------
INSERT INTO `market_bot` VALUES ('49', '783', 'qwe', 'asd', null, '代码审阅', '疑修管理', 'sad', '1', '1', '2023-03-06 21:07:01', 'sd', '6', 'asd', '2023-03-06 21:07:01', '2023-03-07 17:40:57');
INSERT INTO `market_bot` VALUES ('54', '791', 'asder', 'asd', 'asdasd', '其他', '', 'www.asd.com', '0', '0', '2023-03-06 21:06:58', 'asd', '1', 'xcv', '2023-03-06 21:06:58', '2023-03-07 17:23:28');

-- ----------------------------
-- Table structure for register_bot
-- ----------------------------
DROP TABLE IF EXISTS `register_bot`;
CREATE TABLE `register_bot` (
                                `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
                                `bot_id` int NOT NULL COMMENT 'bot唯一标识',
                                `developer_id` int NOT NULL COMMENT 'bot开发者唯一标识',
                                `create_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
                                `update_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                `developer_login` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
                                PRIMARY KEY (`id`) USING BTREE,
                                UNIQUE KEY `bot_id` (`bot_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of register_bot
-- ----------------------------
INSERT INTO `register_bot` VALUES ('3', '783', '84993', '2023-03-07 09:46:37', '2023-03-07 09:46:37', 'durian');
INSERT INTO `register_bot` VALUES ('4', '791', '84993', '2023-03-07 09:46:37', '2023-03-07 09:46:37', 'durian');
INSERT INTO `register_bot` VALUES ('5', '792', '84993', '2023-03-07 09:46:35', '2023-03-07 09:46:35', 'durian');

-- ----------------------------
-- Table structure for transfer_bot
-- ----------------------------
DROP TABLE IF EXISTS `transfer_bot`;
CREATE TABLE `transfer_bot` (
                                `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
                                `bot_id` int NOT NULL COMMENT 'bot唯一标识',
                                `transfer_from_id` int NOT NULL COMMENT '转让者唯一标识',
                                `transfer_to_id` int NOT NULL COMMENT '接收者唯一标识',
                                `is_success` tinyint NOT NULL COMMENT '0:转让失败，1：转让成功 2:待接收',
                                `transfer_time` datetime NOT NULL COMMENT '转让时间',
                                `create_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
                                `update_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                `from_login` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
                                `to_login` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
                                PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of transfer_bot
-- ----------------------------


DROP TABLE IF EXISTS `bot`;
CREATE TABLE `bot` (
                       `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
                       `bot_name` varchar(255) NOT NULL COMMENT 'bot名称',
                       `bot_des` longtext COMMENT 'bot描述',
                       `webhook` varchar(255) NOT NULL COMMENT 'bot回调url',
                       `is_public` tinyint DEFAULT NULL COMMENT '0:私有1：公开',
                       `logo` varchar(255) DEFAULT NULL COMMENT 'logo',
                       `state` tinyint DEFAULT NULL COMMENT '0:挂起1：工作',
                       `client_id` varchar(255) DEFAULT NULL COMMENT '客户端id（后台生成）',
                       `client_secret` varchar(255) DEFAULT NULL COMMENT '客户端密钥（后台生成）',
                       `web_url` varchar(255) DEFAULT NULL COMMENT '主页网址',
                       `category` varchar(255) DEFAULT NULL COMMENT '类型',
                       `install_num` int DEFAULT '0' COMMENT '下载数量',
                       `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                       `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                       `uid` int DEFAULT NULL,
                       `owner_id` int DEFAULT NULL,
                       `private_key` text,
                       PRIMARY KEY (`id`),
                       UNIQUE KEY `name` (`bot_name`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

-- Records of bot
INSERT INTO `bot` VALUES
                      ('783', 'botnameegdret', 'miaoshusd', 'http://localhost:10000', '1', 'asdasdasfdg', '0', 'qwer', 'ert', 'botnameegdret', '疑修管理', '6', '2023-03-07 17:42:13', '2023-03-07 17:42:13', NULL, '84993', NULL),
                      ('791', 'botnameegdretui', 'miaoshusd', 'www.hauhahasd.com', '1', 'asdasdasfdg', '0', 'qwer', 'ert', 'botnameegdretui', '疑修管理', '1', '2023-03-07 17:23:28', '2023-03-06 23:05:28', NULL, '84993', NULL),
                      ('792', 'botnameegdretop', 'miaoshusd', 'www.hauhahasd.com', '0', 'asdasdasfdg', '0', 'qwer', 'ert', 'botnameegdretop', NULL, '0', '2023-03-06 23:05:29', '2023-03-06 23:05:29', NULL, '84993', NULL);

-- Table structure for bot_category
DROP TABLE IF EXISTS `bot_category`;
CREATE TABLE `bot_category` (
                                `id` int NOT NULL,
                                `category` varchar(255) NOT NULL,
                                PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Records of bot_category
INSERT INTO `bot_category` VALUES
                               ('1', '疑修管理'),
                               ('2', '合并请求管理'),
                               ('3', '代码审阅'),
                               ('4', '代码质量'),
                               ('5', '依赖管理'),
                               ('6', '构建'),
                               ('7', '测试'),
                               ('8', '部署'),
                               ('9', '文档管理'),
                               ('10', '其他');

-- Table structure for bot_limit_event
DROP TABLE IF EXISTS `bot_limit_event`;
CREATE TABLE `bot_limit_event` (
                                   `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
                                   `bot_id` int NOT NULL COMMENT 'bot的唯一标识',
                                   `read_write_code` tinyint NOT NULL COMMENT '0：只读1：读写2:无权限',
                                   `read_write_pr` tinyint NOT NULL COMMENT '0：只读1：读写2:无权限',
                                   `auth_category` tinyint NOT NULL COMMENT '0：代码仓库权限1：合并请求权限2:无权限',
                                   `event` tinyint NOT NULL COMMENT '0：git推送到存储库1：创建分支或标签2：删除分支或标签3：合并请求被打开或重新打开4：合并请求被分配5：无权限',
                                   `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                   `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                   PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=33 DEFAULT CHARSET=utf8;

-- Records of bot_limit_event
INSERT INTO `bot_limit_event` VALUES
                                  ('18', '783', '0', '1', '0', '1', '2022-10-05 19:21:53', '2022-10-05 19:21:53'),
                                  ('19', '791', '0', '1', '0', '1', '2022-10-07 20:19:22', '2022-10-07 20:19:22'),
                                  ('20', '792', '1', '2', '0', '2', '2022-12-29 18:34:26', '2022-12-29 18:34:26'),
                                  ('21', '793', '1', '2', '0', '1', '2022-12-29 18:42:26', '2022-12-29 18:42:26'),
                                  ('23', '794', '1', '2', '0', '1', '2022-12-29 18:45:54', '2022-12-29 18:45:54'),
                                  ('27', '799', '1', '2', '0', '1', '2022-12-29 19:30:05', '2022-12-29 19:30:05'),
                                  ('28', '799', '2', '1', '1', '2', '2022-12-29 19:30:05', '2022-12-29 19:30:05');

-- Table structure for install_bot
DROP TABLE IF EXISTS `install_bot`;
CREATE TABLE `install_bot` (
                               `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
                               `bot_id` int NOT NULL COMMENT 'bot唯一标识',
                               `installer_id` int NOT NULL COMMENT '安装者唯一标识',
                               `store_id` int NOT NULL COMMENT '仓库唯一标识',
                               `state` tinyint NOT NULL COMMENT '0：挂起1：工作2：卸载',
                               `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                               `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                               `installer_login` varchar(255) NOT NULL,
                               `store_repo` varchar(255) NOT NULL,
                               `webhook_id` int DEFAULT NULL,
                               PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=33 DEFAULT CHARSET=utf8;

-- Table structure for market_bot
DROP TABLE IF EXISTS `market_bot`;
CREATE TABLE `market_bot` (
                              `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
                              `bot_id` int NOT NULL COMMENT 'bot唯一 标识',
                              `market_name` varchar(255) DEFAULT NULL COMMENT '上市名称',
                              `market_desc` varchar(255) DEFAULT NULL COMMENT '上市简介',
                              `market_intro` longtext COMMENT '详细介绍',
                              `first_func` varchar(255) NOT NULL COMMENT '主要功能',
                              `second_func` varchar(255) DEFAULT NULL COMMENT '次要功能',
                              `webhook` varchar(255) DEFAULT NULL COMMENT '回调url',
                              `is_receive_ag1` tinyint DEFAULT '0' COMMENT '0:接收协议1：不接受收开发者协议',
                              `is_receive_ag2` tinyint DEFAULT '0' COMMENT '0:接收协议1：不接受平台协议',
                              `market_time` datetime DEFAULT NULL COMMENT '上市时间',
                              `logo` varchar(255) DEFAULT NULL COMMENT '头像',
                              `install_num` int DEFAULT '0' COMMENT '安装次数',
                              `category` varchar(255) DEFAULT NULL COMMENT '类型',
                              `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                              `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                              PRIMARY KEY (`id`),
                              UNIQUE KEY `唯一` (`bot_id`)
) ENGINE=InnoDB AUTO_INCREMENT=55 DEFAULT CHARSET=utf8;

-- Records of market_bot
INSERT INTO `market_bot` VALUES ('49', '783', 'qwe', 'asd', null, '代码审阅', '疑修管理', 'sad', '1', '1', '2023-03-06 21:07:01', 'sd', '6', 'asd', '2023-03-06 21:07:01', '2023-03-07 17:40:57');
INSERT INTO `market_bot` VALUES ('54', '791', 'asder', 'asd', 'asdasd', '其他', '', 'www.asd.com', '0', '0', '2023-03-06 21:06:58', 'asd', '1', 'xcv', '2023-03-06 21:06:58', '2023-03-07 17:23:28');


DROP TABLE IF EXISTS `register_bot`;
CREATE TABLE `register_bot` (
                                `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
                                `bot_id` int NOT NULL COMMENT 'bot唯一标识',
                                `developer_id` int NOT NULL COMMENT 'bot开发者唯一标识',
                                `create_time` datetime NOT NULL COMMENT '创建时间',
                                `update_time` datetime NOT NULL COMMENT '更新时间',
                                `developer_login` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
                                PRIMARY KEY (`id`),
                                UNIQUE KEY `bot_id` (`bot_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

-- Records of register_bot
INSERT INTO `register_bot` (id, bot_id, developer_id, create_time, update_time, developer_login) VALUES
                                                                                                     (3, 783, 84993, '2023-03-07 09:46:37', '2023-03-07 09:46:37', 'durian'),
                                                                                                     (4, 791, 84993, '2023-03-07 09:46:37', '2023-03-07 09:46:37', 'durian'),
                                                                                                     (5, 792, 84993, '2023-03-07 09:46:35', '2023-03-07 09:46:35', 'durian');

-- Table structure for `transfer_bot`
DROP TABLE IF EXISTS `transfer_bot`;
CREATE TABLE `transfer_bot` (
                                `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
                                `bot_id` int NOT NULL COMMENT 'bot唯一标识',
                                `transfer_from_id` int NOT NULL COMMENT '转让者唯一标识',
                                `transfer_to_id` int NOT NULL COMMENT '接收者唯一标识',
                                `is_success` tinyint NOT NULL COMMENT '0:转让失败，1：转让成功 2:待接收',
                                `transfer_time` datetime NOT NULL COMMENT '转让时间',
                                `create_time` datetime NOT NULL COMMENT '创建时间',
                                `update_time` datetime NOT NULL COMMENT '更新时间',
                                `from_login` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
                                `to_login` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
                                PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
