package com.gitlink.softbot.service.market;


import com.alibaba.fastjson.JSON;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.gitlink.softbot.global.vo.Response;
import com.gitlink.softbot.utils.GitLinkApi;
import com.gitlink.softbot.utils.response.UserResponse;
import com.gitlink.softbot.vo.Webhook;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.junit4.SpringRunner;

@SpringBootTest
public class GitLinkApiTest {

    @Autowired
    private GitLinkApi api;

    private Integer uid = 85175;

    private Webhook webhooks;

    @Test
    public void getUserTest(){
        Response response = api.getUserByUid(uid);
        UserResponse userResponse = JSON.parseObject(response.getData().toString(),UserResponse.class);
        System.out.println(userResponse.getUsername());
    }

    @Test
    public void getUserProTest(){
        Object[] params = new Object[]{"durian"};
        Response response = api.getProjectsByLogin(84993,params,"created");
        System.out.println(response.getData());
    }

    @Test
    public void activeBotAuthTest(){
        Response response = api.activeBotAuth(84993,802,"auth_active");
        System.out.println(response.getData());
    }

    @Test
    public void updateSecretTest(){
        Response response = api.activeBotAuth(84993,800,"update_secret");
        System.out.println(response.getData());
    }

    @Test
    public void updatePrivateKeyTest(){
        Response response = api.activeBotAuth(84993,800,"update_private_key");
        System.out.println(response.getData());
    }

    @Test
    public void addWebhook() throws JsonProcessingException {
        webhooks = new Webhook(true, "json", "GET", "123456", "http://localhost:10000", "*", new Object[]{"push"}, "softbot");
        Object[] params = new Object[]{"xxq250", "ruoyi-vue-pro"};
        Response response = api.addWebhook(85175,params,webhooks);
        System.out.println(response.getData());
    }

    @Test
    public void updateWebhook() throws JsonProcessingException {
        webhooks = new Webhook(false, "json", "GET", "123456", "http://localhost:10000", "*", new Object[]{"push"}, "softbot");
        Object[] params = new Object[]{"xxq250", "ruoyi-vue-pro"};
        Response response = api.updateWebhook(85175,params,1082,webhooks);
        System.out.println(response.getData());
    }

    @Test
    public void deleteWebhook() throws JsonProcessingException {
        Object[] params = new Object[]{"xxq250", "ruoyi-vue-pro"};
        Response response = api.deleteWebhook(85175,params,1082);
        System.out.println(response.getData());
    }

    @Test
    public void getWebhook() throws JsonProcessingException {
        Object[] params = new Object[]{"xxq250", "ruoyi-vue-pro"};
        Response response = api.getWebhookById(85175,params,983);
        System.out.println(response.getData());
    }
}
